<?php

require_once(sfConfig::get('sf_lib_dir').'/filter/doctrine/BaseFormFilterDoctrine.class.php');

/**
 * ThdUser filter form base class.
 *
 * @package    filters
 * @subpackage ThdUser *
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 11675 2008-09-19 15:21:38Z fabien $
 */
class BaseThdUserFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'uniqueid' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'uniqueid' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('thd_user_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'ThdUser';
  }

  public function getFields()
  {
    return array(
      'id'       => 'Number',
      'uniqueid' => 'Text',
    );
  }
}